Subject: Re: bug#51926: 29.0.50; Narrow to defun fails with Javascript async functions

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 20 Nov 2021 10:21:50 +0100

Matthias Meulien <[email-masked]> writes:

> Unfortunately it has improved but it doesn't always work as
> expected. With a buffer with following content:
>
> async function test() {
>     // cursor here
> }
>
> it now works when cursor is on the first line ("async function test...")
> AND not after the opening brace. After that brace, on first line or
> second line, it fails...

Hm, I thought I had tested that case...  Oh!  When fixing a compilation
warning, I messed up that code path.  This should work better now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no